corelinux.cpp File Reference

## Functions

char | ACCheckCoreLinux ()
| Function for autoconf checks. More...

## Function Documentation

char ACCheckCoreLinux | ( |  | ) |

Function for autoconf checks.

This purpose of this function is to provide the autoconf users a symbol to check for in corelinux library. Unfortunately autoconf uses the C compiler to check for symbols into libraries and corelinux is a C++ one so the way the functions and objects are mangled makes it impossible to check for them. The solution is to provide a C symbol to check for using extern "C" {}.

To enable corelinux into autoconf, you can put the following lines into the configure.in file.

    AC_CHECK_LIB(cl++, ACCheckCoreLinux,[
    CXXFLAGS="${CXXFLAGS} -I/usr/include/corelinux"
    LDFLAGS="${LDFLAGS} "
    LIBS="${LIBS} -lcl++"
    ],[
    echo "You need to install corelinux. See http://corelinux.sourceforge.net"
    exit;
    ],)

This is the CoreLinux++ reference manual
Provided by The CoreLinux Consortium